/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス\nファイル定義[BlancoNLpackGeneratorOmitPhraseList/blancoNLpackGenerator が「処理しない」対象フレーズをあらわすCSVファイル。]のレコードクラス\n
 */
public class BlancoNLpackGeneratorOmitPhraseListCsvRecord {
    /**
     * 項目番号: 1\n項目の説明: Phrase\n必須項目\n
     *
     * フィールド: [Phrase]。
     */
    private String fPhrase;

    /**
     * 項目番号: 2\n項目の説明: Reason\n
     *
     * フィールド: [Reason]。
     */
    private String fReason;

    /**
     * フィールド [Phrase] の値を設定します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: Phrase
     * 必須項目
     * ]。
     *
     * @param argPhrase フィールド[Phrase]に設定する値。
     */
    public void setPhrase(final String argPhrase) {
        fPhrase = argPhrase;
    }

    /**
     * フィールド [Phrase] の値を取得します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: Phrase
     * 必須項目
     * ]。
     *
     * @return フィールド[Phrase]から取得した値。
     */
    public String getPhrase() {
        return fPhrase;
    }

    /**
     * フィールド [Reason] の値を設定します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Reason
     * ]。
     *
     * @param argReason フィールド[Reason]に設定する値。
     */
    public void setReason(final String argReason) {
        fReason = argReason;
    }

    /**
     * フィールド [Reason] の値を取得します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Reason
     * ]。
     *
     * @return フィールド[Reason]から取得した値。
     */
    public String getReason() {
        return fReason;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorOmitPhraseListCsvRecord[");
        buf.append("Phrase=" + fPhrase);
        buf.append(",Reason=" + fReason);
        buf.append("]");
        return buf.toString();
    }
}
